commit:     fc16b58676cc6265281810cd84e265b86e16efdd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 10 12:00:16 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 10 12:10:32 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc16b586

dev-python/repoze-lru: PEP517, remove namespace dep

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/repoze-lru/repoze-lru-0.7-r2.ebuild | 31 ++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/dev-python/repoze-lru/repoze-lru-0.7-r2.ebuild 
b/dev-python/repoze-lru/repoze-lru-0.7-r2.ebuild
new file mode 100644
index 000000000000..56c9542c3f1b
--- /dev/null
+++ b/dev-python/repoze-lru/repoze-lru-0.7-r2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+MY_PN=${PN/-/.}
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="A tiny LRU cache implementation and decorator"
+HOMEPAGE="http://www.repoze.org";
+SRC_URI="
+       https://github.com/repoze/repoze.lru/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="repoze"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~x86"
+
+distutils_enable_tests unittest
+
+python_compile() {
+       distutils-r1_python_compile
+       find "${BUILD_DIR}" -name '*.pth' -delete || die
+}

Reply via email to